package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussAgreement;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussAgreementMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAgreement record);

    int insertSelective(TbPlussAgreement record);

    TbPlussAgreement selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussAgreement record);

    int updateByPrimaryKeyWithBLOBs(TbPlussAgreement record);

    int updateByPrimaryKey(TbPlussAgreement record);
}